Skip to navigation

Get a data frame

Beta

Get a data frame and URLs to download its data.

If the data frame has SUCCEEDED status, the manifest field in the response will contain URLs to each part of a data frame that can be downloaded and the names of the files.

If the data frame has NOT_UPLOADED status, the manifest field in the response will contain S3 PUT URLs to upload data frame .csv files. See Create a data frame for documentation of the full upload flow.

If the data frame has FAILED_VALIDATION or IN_PROGRESS status, the manifest field in the response will only contain the names of the files and urls will be null.

Notes:

  • Using this endpoint with rowDataFormat=csv might be slow and timeout on large data frames. We suggest using rowDataFormat=parquet for large data frames.
  • Parquet files contain column system names, which are unique column identifiers within the data frame and may be different from the column display names. The columns part of the response provides the display name and corresponding system name for each column.
  • CSV files contain column display names.
  • Manifest URLs are valid for 1 hour after being returned from this endpoint. They should not be stored persistently for later use.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

data_frame_idstringRequired
The ID of the data frame

Query parameters

returningstringOptional

Comma-separated list of fields to return. Modifies the output shape. To return all keys at a given level, enumerate them or use the wildcard, ’*’. For more information, click here.

rowDataFormatenumOptional

The format of the row data, either csv or parquet. Default is csv.

Allowed values:

Response

OK
errorMessagestring or nullOptional
uploadStatusenumOptional
Allowed values:
manifestlist of objectsOptional
columnslist of objectsOptional
idstringOptional
namestringOptional

The user-facing name for this DataFrame.

Errors

403
Forbidden Error
404
Not Found Error